input = File.read("../data/2015/1/input.txt").split("")
counts = input.tally
final_floor = counts["("] - counts[")"]
puts "Part 1: #{final_floor}"

floor = 0
steps = 0
input.each do |char|
  floor += 1 if char == "("
  floor -= 1 if char == ")"
  steps += 1
  break if floor < 0
end

puts "Part 2: #{steps}"
